Page MenuHome

Undo is making objects to disappear in sculpt mode
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: GeForce GTX 550 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 376.51

Blender Version
Broken: version: 2.81 (sub 11), branch: master, commit date: 2019-09-12 16:23, hash: rB5b2cebf49bc6
Worked: (optional)

Short description of error
Undo is making objects to disappear in sculpt mode

Exact steps for others to reproduce the error

  • Load the factory settings, and add 3 more different objects
  • Go to object data properties and delete all those default UVs map
  • In the edit menu uncheck lock object modes and open preferences go to keymaps change select to right
  • Now activate Dyntopo for the objects ( right click select and ctrl+d to active Dyntopo)
  • Get a clay strip brush
  • Sculpt something on all the objects without leaving the sculpt mode since all of the objects are in sculpt mode. ( RMB select to change object and LMB to sculpt)
  • After all of them have some kind of deformations, start undo.

Things to notice sometimes objects change places and sometimes they disappear, when an object change place if you try to select it, it wouldn't happen.

You can try with the blend file as well. Open it and sculpt some and start to undo

Event Timeline

Germano Cavalcante (mano-wii) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Sep 23 2019, 3:17 PM

I could not reproduce the problem with the attached file.
Has it been resolved in recent builds? (https://builder.blender.org/download/)

Has it been resolved in recent builds?

No, I tried the attached file, now it is crashing. I tried with the instructions above i can reproduce with Master: 2.81 (sub 12), branch: master, commit date: 2019-09-23 15:18, hash: rB14acac0bb7f3

Did you try to follow the step by step instructions?

Germano Cavalcante (mano-wii) raised the priority of this task from Needs Information from User to Confirmed, High.

@Campbell Barton (campbellbarton), apparently the problem involves the undo system and bmesh.

A simple way to reproduce the problem is to:

  • open the attached file (note that lock object modes is disabled);
  • enable dyntopo on all objects (active object by clicking on it);
  • sculpt something on all the objects;
  • peform undo at least 3 times.